Bug 209557 - www/otrs: Update to 5.0.9
Summary: www/otrs: Update to 5.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-16 16:29 UTC by akuz84
Modified: 2016-05-27 20:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (m.tsatsenko)


Attachments
The patch for update port www/otrs to 5.0.9 (368.55 KB, patch)
2016-05-16 16:29 UTC, akuz84
no flags Details | Diff
the patch (206.69 KB, patch)
2016-05-27 10:18 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description akuz84 2016-05-16 16:29:14 UTC
Created attachment 170369 [details]
The patch for update port www/otrs to 5.0.9
Comment 1 m.tsatsenko 2016-05-18 18:57:02 UTC
Hello
Thanks for your work. However the patch submitted has multiple issues (it fails to apply, its plist is wrong and the resulted port fails build). So I can not approve it.
Fortunately I have my own patch and will attach it to this PR soon.
Comment 2 m.tsatsenko 2016-05-18 19:06:29 UTC
Comment on attachment 170369 [details]
The patch for update port www/otrs to 5.0.9

fails to pass QA
Comment 3 m.tsatsenko 2016-05-27 10:18:10 UTC
Created attachment 170721 [details]
the patch

- Update to 5.0.9
- Remove dependency on p5-Schedule-Cron-Events (the software has bundled version of it)
- Bring back %%VER_CKEDITOR%% SUB to reduce pkg-plist diff size in the future

QA
Portlint - OK
poudriere 103amd64 - OK
Comment 4 m.tsatsenko 2016-05-27 10:20:50 UTC
For some reason I can not set maintainer-approval- for the first patch. When I do so it says changes submitted, but actually nothing happens.
Comment 5 VK freebsd_triage 2016-05-27 20:10:02 UTC
(In reply to m.tsatsenko from comment #4)

I don't think maintainer-approval- works when there was no request to begin with. I'll check with the BZ team. At any rate, your patch obsoletes the previous one, which is the correct action. Please provide maintainer-feedback+ on the entire report, it was requested. :)
Comment 6 commit-hook freebsd_committer 2016-05-27 20:27:55 UTC
A commit references this bug:

Author: amdmi3
Date: Fri May 27 20:27:21 UTC 2016
New revision: 415965
URL: https://svnweb.freebsd.org/changeset/ports/415965

Log:
  - Update to 5.0.9

  PR:		209557
  Submitted by:	akuz84@gmail.com
  Approved by:	m.tsatsenko@gmail.com (maintainer)

Changes:
  head/www/otrs/Makefile
  head/www/otrs/distinfo
  head/www/otrs/pkg-plist